%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	voicemail

Name:		freepbx-%{rawname}
Version:	16.0.60
Release:	1%{?dist}
Summary:	Voicemail

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz
Patch0:		freepbx-voicemail-command_declaration.patch

Requires:	freepbx-core >= 16.0.56.5

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
This module allows you to configure Voicemail for a user or extension

%prep
%setup -q -n %{rawname}
%patch0 -p0

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin etc astetc images sounds moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%preun
find %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache -mindepth 1 -maxdepth 1 -exec rm -rf '{}' ';'

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%changelog
* Fri Nov 15 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.60
- Updated version

* Thu Oct 17 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.58
- Updated version

* Wed Jul 17 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.55
- Updated version

* Thu Jun 13 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.54
- Updated version

* Wed Apr 17 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.53
- Updated version

* Thu Feb 01 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.52
- Updated version

* Mon Dec 04 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.50
- Updated version

* Wed Jul 26 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.49
- Updated version

* Fri Jul 14 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.48
- Updated version

* Wed May 03 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.49
- Updated version

* Sun Apr 16 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.38
- do not create assets/ucp/less/cache since it is likely unneeded

* Tue Jan 31 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.48
- Updated version

* Mon Nov 14 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.47
- Updated version

* Thu Sep 29 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.46
- Updated version

* Sat Sep 17 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.45
- Updated version

* Mon Jun 27 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.44
- Updated version

* Wed Jun 01 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.43
- Updated version

* Mon May 02 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.39
- Updated version

* Tue Apr 12 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.38
- Updated version

* Tue Apr 05 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.37
- Updated version

* Wed Mar 30 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.36
- Updated version

* Thu Jan 27 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.31
- Updated version

* Sat Jan 22 2022 Luigi Iotti <asterisk@iotti.biz> - 
- Added patch to eliminate annoying fwconsole logs due to missing command
- declarations in module.xml

* Wed Jan 19 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.29
- Initial build
